Bug 1002407 - realmd-cim script not present and insecure
realmd-cim script not present and insecure
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openlmi-providers (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tomas Smetana
:
Depends On: 961228
Blocks: 922080 961224
  Show dependency treegraph
 
Reported: 2013-08-29 02:58 EDT by David Spurek
Modified: 2015-03-02 00:28 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 961228
Environment:
Last Closed: 2013-10-03 11:05:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2013-08-29 02:58:15 EDT
+++ This bug was initially created as a clone of Bug #961228 +++

Is this script supposed to be part of the openlmi-providers examples or distribution? Please feel free to close this bug if that's not the case.

http://jdennis.fedorapeople.org/realmd-cim

It's not included in the openlmi-providers repository.

Secondly, it makes you type two passwords on the command line. This is insecure.

--- Additional comment from John Dennis on 2013-05-09 08:24:24 EDT ---

This script was in the original git repo under doc/examples, the only reason for the link in comment #1 was to make easily available for test day.

The script is supposed to an example "scription". At the time of it's writing scripton's had not been nailed down including the common connect and authenticate part which is supposed to be shared between scriptions. So while the method to get the password may not be ideal it was a place holder until the scription framework was worked out.
Comment 1 Tomas Smetana 2013-10-03 11:05:41 EDT
As John had mentioned earlier: the script is an example of how to use the provider remotely.  In it's current state it can't be a part of the installation as an executable utility.

Note You need to log in before you can comment on or make changes to this bug.